> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Wallet Holdings

> Fetches on-chain balances, USD values, native gas tokens and discovered SPL/ERC-20 tokens for caller provider wallets.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json GET /tga/get-wallet-holdings
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/get-wallet-holdings:
    get:
      operationId: getWalletHoldings
      summary: Get Wallet Holdings
      description: >-
        Fetches on-chain balances, USD values, native gas tokens and discovered
        SPL/ERC-20 tokens for caller provider wallets.


        Not available to API keys.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetWalletHoldingsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetWalletHoldingsResponse:
      type: array
      items:
        type: object
        properties:
          walletID:
            type: string
          tokenID:
            type: string
          address:
            type: string
          status:
            type: string
          tokenName:
            type: string
          tokenSymbol:
            type: string
          tokenIcon:
            type:
              - string
              - 'null'
          tokenAddress:
            type:
              - string
              - 'null'
          networkName:
            type: string
          networkIcon:
            type:
              - string
              - 'null'
          networkChainId:
            type:
              - integer
              - 'null'
          networkRpcUrl:
            type:
              - string
              - 'null'
          quantity:
            type: string
          quantityRaw:
            type: number
          amountUSD:
            type: string
          amountUSDRaw:
            type: number
          isLoading:
            type: boolean
          hasError:
            type: boolean
          chainType:
            type: string
          isPrivyWallet:
            type: boolean
          isCrossmintWallet:
            type: boolean
          isPolygonWallet:
            type: boolean
          userEmail:
            type:
              - string
              - 'null'
          isDiscovered:
            type: boolean
        required:
          - walletID
          - address
          - status
          - tokenName
          - tokenSymbol
          - tokenIcon
          - tokenAddress
          - networkName
          - networkIcon
          - networkChainId
          - networkRpcUrl
          - quantity
          - quantityRaw
          - amountUSD
          - amountUSDRaw
          - isLoading
          - hasError
          - chainType
          - isPrivyWallet
          - isCrossmintWallet
          - isPolygonWallet
          - userEmail
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
